<?php 
/***************************************************************************
                           smartfeed_constants.php
                           -----------------------
    begin                : Thurs Dec 29 2005
    copyright            : (C) 2000 The phpBB Group
    email                : mhamill@computer.org

    $Id: $

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

// smartfeed_constants.php
// Written by Mark D. Hamill, mhamill@computer.org
// This software is designed to work with phpBB Version 2.0.19

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt');
}

// Caution do not change the next four values or you may get unexpected results from the feedcreator class, which expects these literals
define('SMARTFEED_ATOM_10_VALUE', 'ATOM1.0');
define('SMARTFEED_RSS_20_VALUE', 'RSS2.0');
define('SMARTFEED_RSS_10_VALUE', 'RSS1.0');
define('SMARTFEED_RSS_091_VALUE', 'RSS0.91');

// You may need to change the following defaults 
define('TTL','60'); // How many minutes to cache before refreshing the feed? Throttle the number up if your board is getting overwhelmed, but newsreaders may ignore your advice. Only works with RSS 2.0. 
define('MAX_ITEMS',0); // Set some upper bound on the number of items in a newsfeed. If 0, no limit. For heavily trafficked boards you may find you have to set a limit to keep the board from getting bogged down. Make sure this is a whole number.
define('DEFAULT_FETCH_TIME_LIMIT', time() - (24 * 60 * 60));  // If the fetch is being done by someone who is not registered, and no cookie is set, this will set a point in time beyond which no posts will be retrieved. Otherwise it could take minutes or hours to try to assemble a newsfeed for every message in every public forum in your database. The default is to go back one day.
define('SMARTFEED_RFC1766_LANG', 'en-US'); // Language of feed content. Use only values at http://www.w3.org/TR/REC-html40/struct/dirlang.html#langcodes

// Override the Feed Creator Generator information to include info on this modification
define('FEEDCREATOR_VERSION', "SmartFeed phpBB Modification (mhamill@computer.org)");
// Override the Feed Creator timezone to reflect the board timezone
define('TIME_ZONE',str_replace('.',':',sprintf("%+'06.2f",$board_config['board_timezone'])));
define('SMARTFEED_FEED_IMAGE_PATH', 'templates/subSilver/images/logo_phpBB.gif'); // The phpBB icon (or the image you substituted for it) is used by default for the newsfeed's image.

// Code from rss.php Mod by Sascha Carlin, slightly modified. Create an absolute URL to the site. 
$script_name = preg_replace('/^\/?(.*?)\/?$/', '\1', trim($board_config['script_path']));
$server_name = trim($board_config['server_name']);
$server_protocol = ( $board_config['cookie_secure'] ) ? 'https://' : 'http://';
$server_port = ( $board_config['server_port'] <> 80 ) ? ':' . trim($board_config['server_port']) . '/' : '/';
$siteURL = $server_protocol . $server_name . $server_port . $script_name;
if (substr($siteURL,(strlen($siteURL)-1),1) <> '/')
{
	$siteURL .= '/';
}
define('SITE_URL', $siteURL);
unset($script_name, $server_name, $server_protocol, $server_port, $siteURL);
$smilies_url = $siteURL . $board_config['smilies_path'];
define('SMILIES_URL', $smilies_url);
unset($smilies_url);
// End copied code

?>